'''
<insert purpose of Perk here>

@author: Peter Parente
@organization: IBM Corporation
@copyright: Copyright (c) 2006 IBM Corporation
@license: Common Public License 1.0

All rights reserved. This program and the accompanying materials are made 
available under the terms of the <license name> which is available at
U{<license URL>}
'''
# import useful modules for Perks
import Perk, Task
from POR import POR
from i18n import _, bind

# metadata describing this Perk
__uie__ = dict(kind='perk', tier=None, all_tiers=True)

class PicturePerk(Perk.Perk):
  def init(self):
    self.registerTask(ShowImage('show picture'))
    kbd = self.getInputDevice('Keyboard')
    self.addInputModifiers(kbd, kbd.AEK_CAPS_LOCK)
    self.registerCommand(kbd, 'show picture', False, 
                         [kbd.AEK_CAPS_LOCK, kbd.AEK_W])
                         
  def getDescription(self):
    return _('Show images for selected words on keypress. Applies to all '
             'applications by default.')

class ShowImage(Task.ChooserTask):
  def executeStart(self, **kwargs):
    por = self.getAccFocus()
    text = self.getAccTextSelection(0, por=por)
    if not text:
      return
    self.loadChooser('PictureViewer', text=text[0])